/* global Swal */

function validarFormularioEditarGrifo(evento) {
    evento.preventDefault();

    var nombre = document.getElementById('nombre').value.trim();
    if (nombre.length === 0) {
        Swal.fire({
            width: '23rem',
            position: 'center',
            icon: 'info',
            title: 'Por favor, ingrese el Nombre del Grifo',
            showConfirmButton: false,
            timer: 1500
        });
        return;
    }

    var ruc = document.getElementById('ruc').value.trim();
    if (!/^\d{11}$/.test(ruc)) {
        Swal.fire({
            width: '23rem',
            position: 'center',
            icon: 'info',
            title: 'Por favor, ingrese un RUC válido (11 dígitos)',
            showConfirmButton: false,
            timer: 1500
        });
        return;
    }

    var telefono = document.getElementById('telefono').value.trim();
    if (!/^\d{9}$/.test(telefono)) {
        Swal.fire({
            width: '23rem',
            position: 'center',
            icon: 'info',
            title: 'Por favor, ingrese un Teléfono válido (9 dígitos)',
            showConfirmButton: false,
            timer: 1500
        });
        return;
    }

    var lugar = document.getElementById('lugar').value.trim();
    if (lugar.length === 0) {
        Swal.fire({
            width: '23rem',
            position: 'center',
            icon: 'info',
            title: 'Por favor, ingrese el Lugar',
            showConfirmButton: false,
            timer: 1500
        });
        return;
    }

    this.submit();
}

document.addEventListener("DOMContentLoaded", function () {
    let formEditar = document.getElementById("Editar_Grifo");
    if (formEditar) {
        formEditar.addEventListener('submit', validarFormularioEditarGrifo);
    }
});
